<script setup>
import DFG from "./components/DFG.vue"
import Barchart from './components/Barchart.vue'
</script>

<template>  

<div class="row">

 <va-select
      v-model="value"
      class="mb-4"
      placeholder="Default (solid)"
      :options="options"
    />       
<div class="flex md6"><DFG/></div>
<div class="flex md6" > <Barchart /></div>
</div>
 
    
</template>

<script>

export default {
  name: 'Chips',
  data () {
    return {
      options: ['one', 'two', 'three', 'four', 'five', 'six', 'seven', 'eight', 'nine'],
      value: ''
    }
  },
  methods: {
    deleteChip (chip) {
      this.value = this.value.filter((v) => v !== chip)
    },async fetchDate(){
      var data = await fetch(
        "http://127.0.0.1:5000/get_cluster_chart/?cluster=1&epsilon=1&min_pts=1",
        {
          method: "POST",
          headers: {
            "Content-Type": "application/json; charset=utf-8",
          },
        }
    ).then(response => {
      if (!response.ok) {
        throw new Error("Network request failed");
      }
      return response.json();
    });
    console.log(data);
    console.log(data.activities);
    console.log(data.chart_data);
    this.options.xaxis.categories = ['1','2','3','4','5']; 
    this.series.data = ['23','23','23','23','23'];

    var obj = {};
    obj.chart = {};
    obj.chart.id = this.options.chart.id;
    obj.xaxis = {};
    obj.xaxis.categories = data.activities;
    obj.dataLabels = {enabled : false}
    this.options = obj;

    var obj2 = [];
    obj2[0] = {name: "amount",
        data: data.chart_data}
      this.series = obj2;
    }
  },
}

</script>




<style>
#graph{
  height: 300px;
  width: 300px

}
</style>

